Subject: Re: [PATCH 1/3] powerpc/powernv: remove the unused pnv_pci_set_p2p function

From: Christoph Hellwig <[email-masked]>
Date: Mon, 6 May 2019 11:02:10 +0200

On Mon, May 06, 2019 at 10:46:11AM +0200, Frederic Barrat wrote:
> Hi,
>
> The PCI p2p and tunnel code is used by the Mellanox CX5 driver, at least 
> their latest, out of tree version, which is used for CORAL. My 
> understanding is that they'll upstream it at some point, though I don't 
> know what their schedule is like.

As said before, we only keep exports in tree for in-tree users.  If the
CX5 driver grows special P2P support it will have to use the proper
existing kernel infrastructure for that anyway.